--$Revision: 99 $
--$Date: 2009-10-28 15:50:29 +0000 (Wed, 28 Oct 2009) $
--project version: r99
local L = LibStub("AceLocale-3.0"):GetLocale("MobileVault")

--color functions for tooltips
local function HexToRGBPerc(hex)
	local rhex, ghex, bhex = string.sub(hex, 1, 2), string.sub(hex, 3, 4), string.sub(hex, 5, 6)
	return tonumber(rhex, 16)/255, tonumber(ghex, 16)/255, tonumber(bhex, 16)/255
end

local function RGBPercToHex(r, g, b)
	r = r <= 1 and r >= 0 and r or 0
	g = g <= 1 and g >= 0 and g or 0
	b = b <= 1 and b >= 0 and b or 0
	return string.format("%02x%02x%02x", r*255, g*255, b*255)
end

local guildlist = {}
local handler = {}

function handler:Set(info, ...)
	if info.type == "multiselect" then
		local value, flag = ...
		MobileVault.db.profile[info.arg][value] = flag
	elseif info.type == "color" then
		local color = MobileVault.db.profile[info.arg]
		color[1], color[2], color[3] = ...
	else
		MobileVault.db.profile[info.arg] = ...
	end
end

function handler:Get(info, ...)
	if info.type == "multiselect" then
		return MobileVault.db.profile[info.arg][...]
	elseif info.type == "color" then
		return unpack(MobileVault.db.profile[info.arg])
	else
		return MobileVault.db.profile[info.arg]
	end
end

local opts = {
	type = 'group',
	handler = handler,
	args = {
		tooltips = {
			type = 'group',
			name = L["Tooltip Options"],
			order = 2,
			args = {
				guilds = {
					type = 'multiselect',
					name = L["Guilds"],
					desc = L["Choose which guilds will display item counts on tooltips"],
					get = "Get",
					set = "Set",
					values = function()
						for k, v in pairs(MobileVault.guilds) do
							if not guildlist[k] then guildlist[k] = k end
						end
						return guildlist
					end,
				},
			},
		},
		vault = {
			type = 'group',
			name = L["Vault Options"],
			order = 1,
			args = {
			
			},
		},
	},
}

--add profile controls
opts.args.profile = LibStub("AceDBOptions-3.0"):GetOptionsTable(MobileVault.db)

LibStub("AceConfig-3.0"):RegisterOptionsTable("MobileVault", opts)
--LibStub("AceConfigDialog-3.0"):AddToBlizOptions("MobileVault", "MobileVault")
